## rasterio 1.2.10

=== requirements.txt ===
affine~=2.3.0
attrs>=19.2.0
boto3>=1.3.1
click~=8.0
click-plugins
cligj>=0.5
matplotlib
numpy>=1.10
snuggs~=1.4.0
setuptools>=20.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
GITREF := $(/bin/bash git rev-parse --abbrev-ref HEAD)

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  test    to run all doctests embedded in the documentation (if enabled)"
	@echo "  apidocs    to autogenerate API docs"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	touch $(BUILDDIR)/html/.nojekyll
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/rasterio.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/rasterio.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/rasterio"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/rasterio"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: test
test:
	cd .. && py.test --doctest-glob="*.rst" docs/*.rst

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: apidocs
apidocs:
	sphinx-apidoc -f -e -T -o . ../rasterio ../rasterio/rio

=== debian/changelog ===
rasterio (1.2.10-1build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:48:23 +0000

rasterio (1.2.10-1build1) jammy; urgency=medium

  * No-change rebuild against libgdal30

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:33:44 +0000

rasterio (1.2.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Oct 2021 05:53:02 +0200

rasterio (1.2.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Oct 2021 07:16:13 +0200

rasterio (1.2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 10 Sep 2021 06:56:52 +0200

rasterio (1.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Sep 2021 07:01:36 +0200

rasterio (1.2.6-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 17:19:04 +0200

rasterio (1.2.6-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Jun 2021 05:14:17 +0200

rasterio (1.2.5-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Jun 2021 06:39:43 +0200

rasterio (1.2.4-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Jun 2021 05:22:52 +0200

rasterio (1.2.3-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Apr 2021 05:52:39 +0200

rasterio (1.2.2-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file for GitHub URL changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Apr 2021 15:40:17 +0200

rasterio (1.2.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 Mar 2021 19:34:29 +0100

=== debian/control ===
Source: rasterio
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Johan Van de Wauw <johan@vandewauw.be>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libgdal-dev,
               gdal-bin,
               cython3,
               python3-affine (>= 1.3.0),
               python3-all,
               python3-all-dev,
               python3-attr (>= 16.0.0),
               python3-boto3,
               python3-click-plugins,
               python3-cligj (>= 0.5),
               python3-hypothesis,
               python3-numpy (>= 1.10),
               python3-packaging,
               python3-pytest,
               python3-setuptools,
               python3-shapely,
               python3-snuggs (>= 1.4.1)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/rasterio
Vcs-Git: https://salsa.debian.org/debian-gis-team/rasterio.git
Homepage: https://github.com/mapbox/rasterio

Package: python3-rasterio
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Python 3 API for using geospatial raster data with Numpy
 Rasterio reads and writes geospatial raster datasets.
 .
 Rasterio employs GDAL under the hood for file I/O and raster formatting.
 Its functions typically accept and return Numpy ndarrays. Rasterio is designed
 to make working with geospatial raster data more productive and more fun.
 .
 This package contains the Python 3 version of the library.

Package: rasterio
Architecture: all
Depends: python3-rasterio (>= ${source:Version}),
         python3-rasterio (<< ${source:Version}.1~),
         ${misc:Depends},
         ${python3:Depends}
Section: science
Description: Command line tool for investigating geospatial rasters
 Rasterio reads and writes geospatial raster datasets.
 .
 Rasterio employs GDAL under the hood for file I/O and raster formatting.
 Its functions typically accept and return Numpy ndarrays. Rasterio is designed
 to make working with geospatial raster data more productive and more fun.
 .
 This package contains a command-line line interface to rasterio "rasterio"
 which can be used to inspect raster datasets.

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=rasterio
export PYBUILD_BEFORE_TEST= cp -r {dir}/tests {build_dir}

export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_clean:
	dh_clean

	$(RM) rasterio/*.c
	$(RM) rasterio/_*.cpp
	$(RM) VERSION.txt
	$(RM) gdal-config.txt
	$(RM) .coverage

override_dh_auto_test:
	dh_auto_test || echo "Ignoring test failures"

override_dh_install:
	dh_install

	$(RM) -r debian/python3-rasterio/usr/bin

	$(RM) -r debian/*/usr/lib/python*/dist-packages/.hypothesis/

override_dh_python3:
	dh_python3 -ppython3-rasterio -prasterio
	dh_numpy3 -ppython3-rasterio -prasterio

debian/rasterio.1:
	help2man rasterio -N -L en_US.utf8 -n "command line tools for reading/writing geospatial raster data" >debian/rasterio.1

=== debian/watch ===
version=4
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|rasterio)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/rasterio-$1.$2/" \
https://github.com/mapbox/rasterio/releases \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|rasterio)?[\-\_]?(\d\S*(?<!post\d))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## rasterio 1.3.2

=== debian/changelog ===
rasterio (1.3.2-2) unstable; urgency=medium

  * Team upload.
  * Ignore test failures on armel & sparc64.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 20 Aug 2022 06:48:31 +0200

rasterio (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 19 Aug 2022 20:04:55 +0200

rasterio (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Aug 2022 05:31:52 +0200

rasterio (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Skip tests requiring network.
  * Ignore test failures on certain architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Jul 2022 11:04:37 +0200

rasterio (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Update repo URL for move from mapbox to rasterio.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Jul 2022 05:42:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: rasterio
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Johan Van de Wauw <johan@vandewauw.be>
 Section: python
 Priority: optional
@@ -23,10 +22,10 @@
                python3-setuptools,
                python3-shapely,
                python3-snuggs (>= 1.4.1)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/rasterio
 Vcs-Git: https://salsa.debian.org/debian-gis-team/rasterio.git
-Homepage: https://github.com/mapbox/rasterio
+Homepage: https://github.com/rasterio/rasterio
 
 Package: python3-rasterio
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,38 @@
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+
 export PYBUILD_NAME=rasterio
-export PYBUILD_BEFORE_TEST= cp -r {dir}/tests {build_dir}
-
+export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
 export PYBUILD_TEST_PYTEST=1
+export PYBUILD_TEST_ARGS=--ignore tests/test_env.py \
+                         --ignore tests/test_io.py \
+                         --ignore tests/test_merge.py \
+                         --ignore tests/test_rio_blocks.py \
+                         --ignore tests/test_rio_bounds.py \
+                         --ignore tests/test_rio_calc.py \
+                         --ignore tests/test_rio_clip.py \
+                         --ignore tests/test_rio_convert.py \
+                         --ignore tests/test_rio_edit_info.py \
+                         --ignore tests/test_rio_gcp.py \
+                         --ignore tests/test_rio_helpers.py \
+                         --ignore tests/test_rio_info.py \
+                         --ignore tests/test_rio_insp.py \
+                         --ignore tests/test_rio_main.py \
+                         --ignore tests/test_rio_mask.py \
+                         --ignore tests/test_rio_merge.py \
+                         --ignore tests/test_rio_options.py \
+                         --ignore tests/test_rio_overview.py \
+                         --ignore tests/test_rio_rasterize.py \
+                         --ignore tests/test_rio_rm.py \
+                         --ignore tests/test_rio_sample.py \
+                         --ignore tests/test_rio_shapes.py \
+                         --ignore tests/test_rio_stack.py \
+                         --ignore tests/test_rio_warp.py \
+                         --ignore tests/test_session.py \
+                         --ignore tests/test_warpedvrt.py
 
 %:
 	dh $@ --with python3 --buildsystem pybuild
@@ -22,7 +49,12 @@
 	$(RM) .coverage
 
 override_dh_auto_test:
+# Ignore test failures on problematic architectures only
+ifneq (,$(filter $(DEB_BUILD_ARCH),armel mips64el mipsel alpha hurd-i386 i64 kfreebsd-amd64 kfreebsd-i386 riscv64 sh4 sparc64 x32))
 	dh_auto_test || echo "Ignoring test failures"
+else
+	dh_auto_test
+endif
 
 override_dh_install:
 	dh_install

## rasterio 1.3.5

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# This file specifies requirements of a reproducible environment for
+# testing rasterio. It is used in the project's CI builds.
+
 affine~=2.3.0
 attrs>=19.2.0
 boto3>=1.3.1

=== docs/Makefile ===
--- 
+++ 
@@ -218,4 +218,5 @@
 
 .PHONY: apidocs
 apidocs:
-	sphinx-apidoc -f -e -T -o . ../rasterio ../rasterio/rio
+	rm -rf ./api
+	sphinx-apidoc -f -e -M -P -o ./api/ ../rasterio ../rasterio/*.pyx

=== debian/changelog ===
rasterio (1.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Enable numpy3 dh helper.
  * Bump Standards-Version to 4.6.2, no changes.
  * Add patch to fix ImportError with unreachable http_proxy.
  * Add patch to not use deprecated distutils module.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 26 Jan 2023 05:22:41 +0100

rasterio (1.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop GDAL 3.6.0 patch, fixed upstream.
  * Ignore test_warp.py, requires network.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 Nov 2022 05:29:22 +0100

rasterio (1.3.3-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with GDAL 3.6.0.
    (closes: #1023480)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Nov 2022 09:52:17 +0100

rasterio (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject instead of python3-setuptools.
  * Drop proj-9.1.0.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Oct 2022 05:25:50 +0200

rasterio (1.3.2-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with PROJ 9.1.0.
    (closes: #1020074)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Sep 2022 09:14:30 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                libgdal-dev,
                gdal-bin,
                cython3,
+               pybuild-plugin-pyproject,
                python3-affine (>= 1.3.0),
                python3-all,
                python3-all-dev,
@@ -22,16 +23,17 @@
                python3-setuptools,
                python3-shapely,
                python3-snuggs (>= 1.4.1)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/rasterio
 Vcs-Git: https://salsa.debian.org/debian-gis-team/rasterio.git
 Homepage: https://github.com/rasterio/rasterio
+Rules-Requires-Root: no
 
 Package: python3-rasterio
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python3:Depends}
+Depends: ${python3:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: Python 3 API for using geospatial raster data with Numpy
  Rasterio reads and writes geospatial raster datasets.
  .
@@ -45,8 +47,8 @@
 Architecture: all
 Depends: python3-rasterio (>= ${source:Version}),
          python3-rasterio (<< ${source:Version}.1~),
-         ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         ${misc:Depends}
 Section: science
 Description: Command line tool for investigating geospatial rasters
  Rasterio reads and writes geospatial raster datasets.

=== debian/rules ===
--- 
+++ 
@@ -34,10 +34,11 @@
                          --ignore tests/test_rio_stack.py \
                          --ignore tests/test_rio_warp.py \
                          --ignore tests/test_session.py \
+                         --ignore tests/test_warp.py \
                          --ignore tests/test_warpedvrt.py
 
 %:
-	dh $@ --with python3 --buildsystem pybuild
+	dh $@ --with python3,numpy3 --buildsystem pybuild
 
 override_dh_clean:
 	dh_clean
@@ -65,7 +66,9 @@
 
 override_dh_python3:
 	dh_python3 -ppython3-rasterio -prasterio
-	dh_numpy3 -ppython3-rasterio -prasterio
+
+override_dh_numpy3:
+	dh_numpy3 -ppython3-rasterio
 
 debian/rasterio.1:
 	help2man rasterio -N -L en_US.utf8 -n "command line tools for reading/writing geospatial raster data" >debian/rasterio.1

=== debian/watch ===
version=4
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|rasterio)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/rasterio-$1.$2/" \
https://github.com/rasterio/rasterio/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|rasterio)?[\-\_]?(\d\S*(?<!post\d))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## rasterio 1.3.8

=== debian/changelog ===
rasterio (1.3.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat to 13.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Jun 2023 05:26:30 +0200

rasterio (1.3.7-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 14:42:33 +0200

rasterio (1.3.7-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 May 2023 05:27:22 +0200

rasterio (1.3.6-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 13 Feb 2023 20:17:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Johan Van de Wauw <johan@vandewauw.be>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libgdal-dev,
                gdal-bin,

## rasterio 1.3.9

=== Makefile ===
all: deps clean install test

.PHONY: docs

install:
	python setup.py build_ext
	pip install -e .[all]

deps:
	pip install -r requirements-dev.txt

clean:
	pip uninstall -y rasterio || echo "no need to uninstall"
	python setup.py clean --all
	find . -name '__pycache__' -delete -print -o -name '*.pyc' -delete -print
	touch rasterio/*.pyx

sdist:
	python setup.py sdist

test:
	py.test --maxfail 1 -v --cov rasterio --cov-report html --pdb tests

docs:
	cd docs && make apidocs && make html

doctest:
	py.test --doctest-modules rasterio --doctest-glob='*.rst' docs/*.rst

dockertestimage:
	docker build --build-arg GDAL=$(GDAL) --build-arg PYTHON_VERSION=$(PYTHON_VERSION) --target gdal -t rasterio:$(GDAL)-py$(PYTHON_VERSION) .

dockertest: dockertestimage
	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash rasterio:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python setup.py develop && /venv/bin/python -B -m pytest -m "not wheel" --cov rasterio --cov-report term-missing $(OPTS)'

dockershell: dockertestimage
	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash rasterio:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python setup.py develop && /bin/bash'

dockersdist: dockertestimage
	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash rasterio:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python setup.py sdist'

dockergdb: dockertestimage
	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash rasterio:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python setup.py develop && gdb -ex=r --args /venv/bin/python -B -m pytest -m "not wheel" --cov rasterio --cov-report term-missing $(OPTS)'

dockerdocs: dockertestimage
	docker run -it -v $(shell pwd):/app --entrypoint=/bin/bash rasterio:$(GDAL)-py$(PYTHON_VERSION) -c 'source /venv/bin/activate && python -m pip install . && cd docs && make clean && make html'

=== requirements.txt ===
--- 
+++ 
@@ -11,3 +11,4 @@
 numpy>=1.10
 snuggs~=1.4.0
 setuptools>=20.0
+pyparsing~=3.1

=== debian/changelog ===
rasterio (1.3.9-4build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:33:26 +1100

rasterio (1.3.9-4) unstable; urgency=medium

  * Team upload.
  * Replace gdal-3.8.patch with upstream changes.
  * Update watch file to also ignore dev and alpha pre-releases.
  * Add patch to fix FTBFS with pytest 8.
    (closes: #1066747)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Mar 2024 17:04:28 +0100

rasterio (1.3.9-3) unstable; urgency=medium

  * Team upload.
  * Ignore test failures on armel again.
  * Ignore test failures on hppa.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 09 Nov 2023 05:18:51 +0100

rasterio (1.3.9-2) unstable; urgency=medium

  * Team upload.
  * Don't ignore test failures on armel.
  * Add patch to fix FTBFS with GDAL 3.8.0.
    (closes: #1055594)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Nov 2023 21:33:21 +0100

rasterio (1.3.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Enable Salsa CI.
  * Remove generated files in clean target.
    (closes: #1047850)
  * Use execute_after instead of override in rules file.
  * Update lintian overrides.
  * Switch to dh-sequence-*.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Oct 2023 05:28:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: rasterio
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Johan Van de Wauw <johan@vandewauw.be>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                libgdal-dev,
                gdal-bin,
                cython3,
@@ -28,6 +31,7 @@
 Vcs-Git: https://salsa.debian.org/debian-gis-team/rasterio.git
 Homepage: https://github.com/rasterio/rasterio
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-rasterio
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -38,30 +38,18 @@
                          --ignore tests/test_warpedvrt.py
 
 %:
-	dh $@ --with python3,numpy3 --buildsystem pybuild
-
-override_dh_clean:
-	dh_clean
-
-	$(RM) rasterio/*.c
-	$(RM) rasterio/_*.cpp
-	$(RM) VERSION.txt
-	$(RM) gdal-config.txt
-	$(RM) .coverage
+	dh $@ --buildsystem pybuild
 
 override_dh_auto_test:
 # Ignore test failures on problematic architectures only
-ifneq (,$(filter $(DEB_BUILD_ARCH),armel mips64el mipsel alpha hurd-i386 i64 kfreebsd-amd64 kfreebsd-i386 riscv64 sh4 sparc64 x32))
+ifneq (,$(filter $(DEB_BUILD_ARCH),armel mips64el mipsel alpha hppa hurd-i386 i64 kfreebsd-amd64 kfreebsd-i386 riscv64 sh4 sparc64 x32))
 	dh_auto_test || echo "Ignoring test failures"
 else
 	dh_auto_test
 endif
 
-override_dh_install:
-	dh_install
-
+execute_after_dh_install:
 	$(RM) -r debian/python3-rasterio/usr/bin
-
 	$(RM) -r debian/*/usr/lib/python*/dist-packages/.hypothesis/
 
 override_dh_python3:

## rasterio 1.3.10

=== Makefile ===
--- 
+++ 
@@ -33,6 +33,9 @@
 dockertest: dockertestimage
 	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash rasterio:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python setup.py develop && /venv/bin/python -B -m pytest -m "not wheel" --cov rasterio --cov-report term-missing $(OPTS)'
 
+dockernumpytest: dockertestimage
+	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash rasterio:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python -m build && /venv/bin/python -m pip install numpy==1.23.5 && /venv/bin/python -m pip install dist/*.whl && /venv/bin/python -B -m pytest -m "not wheel" --cov rasterio --cov-report term-missing $(OPTS)'
+
 dockershell: dockertestimage
 	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash rasterio:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python setup.py develop && /bin/bash'

=== debian/changelog ===
rasterio (1.3.10-2build1) oracular; urgency=medium

  * Rebuild against new libgdal35.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 11:16:47 +0200

rasterio (1.3.10-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with GDAL 3.9.0.
    (closes: #1069868)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Apr 2024 08:48:10 +0200

rasterio (1.3.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Apr 2024 06:29:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: rasterio
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Johan Van de Wauw <johan@vandewauw.be>
 Section: python
 Priority: optional

## rasterio 1.4.1

=== debian/changelog ===
rasterio (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Oct 2024 05:23:06 +0200

rasterio (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Don't run autopkgtest on i386.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 26 Sep 2024 15:45:44 +0200

rasterio (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 26 Sep 2024 04:58:52 +0200

rasterio (1.4.0~rc2-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Sep 2024 05:22:03 +0200

rasterio (1.4.0~rc1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Ignore test failures on i386.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 Sep 2024 05:15:28 +0200

rasterio (1.4~b2-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream beta release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 31 Aug 2024 19:40:28 +0200

rasterio (1.4~b1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream beta release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.
  * Drop patches applied upstream.
  * Add python3-fsspec to build dependencies.
  * Ignore new tests requiring network.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Aug 2024 21:07:45 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                python3-boto3,
                python3-click-plugins,
                python3-cligj (>= 0.5),
+               python3-fsspec,
                python3-hypothesis,
                python3-numpy (>= 1.10),
                python3-packaging,
@@ -25,7 +26,7 @@
                python3-setuptools,
                python3-shapely,
                python3-snuggs (>= 1.4.1)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/rasterio
 Vcs-Git: https://salsa.debian.org/debian-gis-team/rasterio.git
 Homepage: https://github.com/rasterio/rasterio

## rasterio 1.4.3

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+PYTHON_VERSION ?= 3.9
+GDAL ?= ubuntu-small-3.6.4
 all: deps clean install test
 
 .PHONY: docs
@@ -31,7 +33,7 @@
 	docker build --build-arg GDAL=$(GDAL) --build-arg PYTHON_VERSION=$(PYTHON_VERSION) --target gdal -t rasterio:$(GDAL)-py$(PYTHON_VERSION) .
 
 dockertest: dockertestimage
-	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash rasterio:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python setup.py develop && /venv/bin/python -B -m pytest -m "not wheel" --cov rasterio --cov-report term-missing $(OPTS)'
+	docker run --rm -it -v $(shell pwd):/app -v /tmp:/tmp --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash rasterio:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python setup.py develop && /venv/bin/python -B -m pytest -m "not wheel" --cov rasterio --cov-report term-missing $(OPTS)'
 
 dockernumpytest: dockertestimage
 	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash rasterio:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python -m build && /venv/bin/python -m pip install numpy==1.23.5 && /venv/bin/python -m pip install dist/*.whl && /venv/bin/python -B -m pytest -m "not wheel" --cov rasterio --cov-report term-missing $(OPTS)'

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 click-plugins
 cligj>=0.5
 matplotlib
-numpy>=1.10
-snuggs~=1.4.0
+numpy>=1.24
 setuptools>=20.0
 pyparsing~=3.1

=== debian/changelog ===
rasterio (1.4.3-4build2) resolute; urgency=medium

  * No-change rebuild for libgdal38.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 16 Nov 2025 07:45:47 +0000

rasterio (1.4.3-4build1) resolute; urgency=medium

  * No-change rebuild for libgdal37.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 30 Oct 2025 20:57:37 +0000

rasterio (1.4.3-4) unstable; urgency=medium

  * Team upload.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Add patch to fix FTBFS with GDAL 3.12.0.
    (closes: #1118728)
  * Make pytest output extra verbose.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Oct 2025 11:13:36 +0200

rasterio (1.4.3-3) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 11:58:34 +0200

rasterio (1.4.3-3~exp1) experimental; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes.
  * Drop python3-click-plugins build dependency.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 29 Jun 2025 08:34:10 +0200

rasterio (1.4.3-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with click 8.2.
    (closes: #1098622)
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Feb 2025 09:26:21 +0100

rasterio (1.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop python3-snuggs from build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Dec 2024 07:05:02 +0100

rasterio (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 Oct 2024 15:06:32 +0100

=== debian/watch ===
version=4
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|rasterio)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/rasterio-$1.$2/" \
https://github.com/rasterio/rasterio/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|rasterio)?[\-\_]?(\d\S*(?<!post\d)(?<!dev\d)(?<!a\d)(?<!\-doc\d))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## rasterio 1.4.4~rc0

=== debian/changelog ===
rasterio (1.4.4~rc0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Drop gdal-3.12.patch, fixed upstream. Refresh remaining patches.
  * Drop click-8.2.patch, python-click reverted to 8.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Dec 2025 07:53:41 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
                python3-all-dev,
                python3-attr (>= 16.0.0),
                python3-boto3,
-               python3-click-plugins,
                python3-cligj (>= 0.5),
                python3-fsspec,
                python3-hypothesis,
@@ -24,13 +23,11 @@
                python3-packaging,
                python3-pytest,
                python3-setuptools,
-               python3-shapely,
-               python3-snuggs (>= 1.4.1)
-Standards-Version: 4.7.0
+               python3-shapely
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/rasterio
-Vcs-Git: https://salsa.debian.org/debian-gis-team/rasterio.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/rasterio.git -b experimental
 Homepage: https://github.com/rasterio/rasterio
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-rasterio

## rasterio 1.4.4~rc1

=== debian/changelog ===
rasterio (1.4.4~rc1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Dec 2025 15:21:16 +0100

## rasterio 1.4.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-PYTHON_VERSION ?= 3.9
-GDAL ?= ubuntu-small-3.6.4
+PYTHON_VERSION ?= 3.12
+GDAL ?= ubuntu-small-3.9.3
 all: deps clean install test
 
 .PHONY: docs

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,8 @@
 affine~=2.3.0
 attrs>=19.2.0
 boto3>=1.3.1
-click~=8.0
+# Avoid pallets/click#2939
+click~=8.0,!=8.2.*
 click-plugins
 cligj>=0.5
 matplotlib

=== debian/changelog ===
rasterio (1.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop armel & mips64el from autopkgtest-pkg-pybuild.conf.
  * Drop rules for armel.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Dec 2025 20:00:52 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,12 @@
 export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS=--ignore tests/test_env.py \
+export PYBUILD_TEST_ARGS=-vv \
+                         --ignore tests/test_env.py \
                          --ignore tests/test_io.py \
                          --ignore tests/test_merge.py \
+                         --ignore tests/test_pyopener.py \
+                         --ignore tests/test_read_boundless.py \
                          --ignore tests/test_rio_blocks.py \
                          --ignore tests/test_rio_bounds.py \
                          --ignore tests/test_rio_calc.py \
@@ -42,7 +45,7 @@
 
 override_dh_auto_test:
 # Ignore test failures on problematic architectures only
-ifneq (,$(filter $(DEB_BUILD_ARCH),armel mips64el mipsel alpha hppa hurd-i386 i64 kfreebsd-amd64 kfreebsd-i386 riscv64 sh4 sparc64 x32))
+ifneq (,$(filter $(DEB_BUILD_ARCH),i386 riscv64 alpha hppa hurd-i386 sh4 sparc64 x32))
 	dh_auto_test || echo "Ignoring test failures"
 else
 	dh_auto_test

## rasterio 1.5~rc0

=== debian/changelog ===
rasterio (1.5~rc0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Annotate build dependencies with nocheck.
  * Make pytest output verbose.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Dec 2025 08:05:51 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS=-vv \
+export PYBUILD_TEST_ARGS=-v \
                          --ignore tests/test_env.py \
                          --ignore tests/test_io.py \
                          --ignore tests/test_merge.py \

## rasterio 1.5~rc1

=== requirements.txt ===
--- 
+++ 
@@ -4,11 +4,10 @@
 affine~=2.3.0
 attrs>=19.2.0
 boto3>=1.3.1
-# Avoid pallets/click#2939
+# Avoid https://github.com/pallets/click/issues/2939
 click~=8.0,!=8.2.*
-click-plugins
 cligj>=0.5
 matplotlib
-numpy>=1.24
-setuptools>=20.0
+numpy>=2
+setuptools>=77.0.3
 pyparsing~=3.1

=== debian/changelog ===
rasterio (1.5~rc1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Ignore test failures on armhf.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Dec 2025 16:39:31 +0100

=== debian/control ===
--- 
+++ 
@@ -11,19 +11,19 @@
                gdal-bin,
                cython3,
                pybuild-plugin-pyproject,
-               python3-affine (>= 1.3.0),
+               python3-affine,
                python3-all,
                python3-all-dev,
-               python3-attr (>= 16.0.0),
+               python3-attr,
                python3-boto3,
-               python3-cligj (>= 0.5),
-               python3-fsspec,
-               python3-hypothesis,
-               python3-numpy (>= 1.10),
-               python3-packaging,
-               python3-pytest,
+               python3-cligj,
+               python3-fsspec <!nocheck>,
+               python3-hypothesis <!nocheck>,
+               python3-numpy,
+               python3-packaging <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-shapely
+               python3-shapely <!nocheck>
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/rasterio
 Vcs-Git: https://salsa.debian.org/debian-gis-team/rasterio.git -b experimental

## rasterio 1.5.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PYTHON_VERSION ?= 3.12
-GDAL ?= ubuntu-small-3.9.3
+GDAL ?= ubuntu-small-3.8.5
 all: deps clean install test
 
 .PHONY: docs
@@ -36,7 +36,7 @@
 	docker run --rm -it -v $(shell pwd):/app -v /tmp:/tmp --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash rasterio:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python setup.py develop && /venv/bin/python -B -m pytest -m "not wheel" --cov rasterio --cov-report term-missing $(OPTS)'
 
 dockernumpytest: dockertestimage
-	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash rasterio:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python -m build && /venv/bin/python -m pip install numpy==1.23.5 && /venv/bin/python -m pip install dist/*.whl && /venv/bin/python -B -m pytest -m "not wheel" --cov rasterio --cov-report term-missing $(OPTS)'
+	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash rasterio:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python -m build && /venv/bin/python -m pip install numpy>=2 && /venv/bin/python -m pip install dist/*.whl && /venv/bin/python -B -m pytest -m "not wheel" --cov rasterio --cov-report term-missing $(OPTS)'
 
 dockershell: dockertestimage
 	docker run -it -v $(shell pwd):/app --env AWS_ACCESS_KEY_ID --env AWS_SECRET_ACCESS_KEY --entrypoint=/bin/bash rasterio:$(GDAL)-py$(PYTHON_VERSION) -c '/venv/bin/python setup.py develop && /bin/bash'

=== debian/changelog ===
rasterio (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Jan 2026 16:12:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Johan Van de Wauw <johan@vandewauw.be>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-numpy3,
@@ -24,9 +23,9 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-shapely <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/rasterio
-Vcs-Git: https://salsa.debian.org/debian-gis-team/rasterio.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/rasterio.git
 Homepage: https://github.com/rasterio/rasterio
 Testsuite: autopkgtest-pkg-pybuild

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 override_dh_auto_test:
 # Ignore test failures on problematic architectures only
-ifneq (,$(filter $(DEB_BUILD_ARCH),i386 riscv64 alpha hppa hurd-i386 sh4 sparc64 x32))
+ifneq (,$(filter $(DEB_BUILD_ARCH),armhf i386 riscv64 alpha hppa hurd-i386 sh4 sparc64 x32))
 	dh_auto_test || echo "Ignoring test failures"
 else
 	dh_auto_test
